{
    "criteria": {
      "requirement": {
        "trigger": "minecraft:player_interacted_with_entity",
        "conditions": {
          "entity": {
            "type": "minecraft:interaction"
          }
        }
      }
    },
    "rewards": {
      "function": "main:mechanics/interaction/rc/1"
    }
  }